LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Included Services | Public Attributes | List of all members
Statement Service Referencepublished

extends the definition of the service com::sun::star::sdbc::Statement with a flag for the usage of bookmarks. More...

`import"Statement.idl";`

Inheritance diagram for Statement:

## Included Services
service | com::sun::star::sdbc::Statement

## Public Attributes
boolean | UseBookmarks
| returns `TRUE` if a result set should allow navigation with bookmarks or not. More...
Public Attributes inherited from Statement
long | QueryTimeOut
| retrieves the number of seconds the driver will wait for a Statement to execute. More...
long | MaxFieldSize
| returns the maximum number of bytes allowed for any column value. More...
long | MaxRows
| retrieves the maximum number of rows that a ResultSet can contain. More...
string | CursorName
| defines the SQL cursor name that will be used by subsequent Statement `execute` methods. More...
long | ResultSetConcurrency
| retrieves the result set concurrency. More...
long | ResultSetType
| determine the result set type. More...
long | FetchDirection
| retrieves the direction for fetching rows from database tables that is the default for result sets generated from this `Statement` object. More...
long | FetchSize
| retrieves the number of result set rows that is the default fetch size for result sets generated from this `Statement` object. More...
boolean | EscapeProcessing
| returns if escape processing is on or off. More...

## Additional Inherited Members
Exported Interfaces inherited from Statement
interface | com::sun::star::lang::XComponent
| optional for implementation, controls the releasing of resources and the notification of registered listeners. More...
interface | XCloseable
| freeing all resources of a statement. More...
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::util::XCancellable
| could be used for canceling the execution of SQL statements if both the DBMS and the driver support aborting an SQL statement. More...
interface | XStatement
| is the interface for executing SQL commands. More...
interface | XBatchExecution
| provides the ability of batch execution. More...
interface | XWarningsSupplier
| controls the chaining of warnings, which may occur on every call to the connected database. More...
interface | XMultipleResults
| covers the handling of multiple results after executing an SQL command. More...
Public Member Functions inherited from XCloseable
void | close () raises (SQLException)
| releases all resources connected to an object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XStatement
XResultSet | executeQuery ([in]string sql) raises (SQLException)
| executes a SQL statement that returns a single ResultSet. More...
long | executeUpdate ([in]string sql) raises (SQLException)
| executes an SQL INSERT, UPDATE, or DELETE statement. More...
boolean | execute ([in]string sql) raises (SQLException)
| executes a SQL statement that may return multiple results. More...
XConnection | getConnection () raises (SQLException)
| returns the com::sun::star::sdbc::Connection object that produced this `Statement` object. More...
Public Member Functions inherited from XWarningsSupplier
any | getWarnings () raises (SQLException)
| returns the first warning reported by calls on an object that supports the usage of warnings. More...
void | clearWarnings () raises (SQLException)
| clears all warnings reported for the object implementing the interface. More...
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XCloseable
void | close () raises (SQLException)
| releases all resources connected to an object. More...
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from XCancellable
void | cancel ()
| cancels the current job of the object. More...
Protected Member Functions inherited from XStatement
XResultSet | executeQuery ([in]string sql) raises (SQLException)
| executes a SQL statement that returns a single ResultSet. More...
long | executeUpdate ([in]string sql) raises (SQLException)
| executes an SQL INSERT, UPDATE, or DELETE statement. More...
boolean | execute ([in]string sql) raises (SQLException)
| executes a SQL statement that may return multiple results. More...
XConnection | getConnection () raises (SQLException)
| returns the com::sun::star::sdbc::Connection object that produced this `Statement` object. More...
Protected Member Functions inherited from XBatchExecution
void | addBatch ([in]string sql) raises (SQLException)
| adds a SQL command to the current batch of commands for the statement object. More...
void | clearBatch () raises (SQLException)
| makes the set of commands in the current batch empty. More...
sequence< long > | executeBatch () raises (SQLException)
| submits a batch of commands to the database for execution. More...
Protected Member Functions inherited from XWarningsSupplier
any | getWarnings () raises (SQLException)
| returns the first warning reported by calls on an object that supports the usage of warnings. More...
void | clearWarnings () raises (SQLException)
| clears all warnings reported for the object implementing the interface. More...
Protected Member Functions inherited from XMultipleResults
XResultSet | getResultSet () raises (SQLException)
| returns the current result as a com::sun::star::sdbc::ResultSet object. More...
long | getUpdateCount () raises (SQLException)
| returns the current result as an update count. More...
boolean | getMoreResults () raises (SQLException)
| moves to a Statement's next result. More...

## Detailed Description

extends the definition of the service com::sun::star::sdbc::Statement with a flag for the usage of bookmarks.

See also
  ResultSet
  XRowLocate

## Exported Interfaces

service com::sun::star::sdbc::Statement

## Member Data Documentation

boolean UseBookmarks
| property

returns `TRUE` if a result set should allow navigation with bookmarks or not.

The default is `FALSE`.

The documentation for this service was generated from the following file:

- com/sun/star/sdbcx/Statement.idl